Bug 209197 - possible recursive locking detected hidd/2058 is trying to acquire lock
possible recursive locking detected hidd/2058 is trying to acquire lock
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 16:19 EDT by Tim Vismor
Modified: 2008-05-06 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Vismor 2006-10-03 16:19:09 EDT
Description of problem:


After updating to today's rawhide (10/03/06) the following recursive locking
warning started to appear on boot. Relevant software versions are:

kernel-2.6.18-1.2726.fc6
gnome-bluetooth-libs-0.7.0-10.1
bluez-libs-3.7-1
gnome-bluetooth-0.7.0-10.1
bluez-hcidump-1.31-5.1
bluez-pin-0.30-5
bluez-utils-2.25-12

My hardware is a Thinkpad T43 with a Kensington Bluetooth USB dongle and
Kensington Bluetooth Mouse. I have been using this hardware for many months
without this error appearing.

It is important to note that this error appears to be benign -- I am using the
mouse now without incident.

Oct  3 15:46:12 azalea hidd[2058]: New HID device 00:0C:55:19:DB:67 (Primax Four
Button Mouse)
Oct  3 15:46:12 azalea kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Oct  3 15:46:12 azalea kernel: 
Oct  3 15:46:12 azalea kernel: =============================================
Oct  3 15:46:12 azalea kernel: [ INFO: possible recursive locking detected ]
Oct  3 15:46:12 azalea kernel: 2.6.18-1.2726.fc6 #1
Oct  3 15:46:12 azalea kernel: ---------------------------------------------
Oct  3 15:46:12 azalea kernel: hidd/2058 is trying to acquire lock:
Oct  3 15:46:12 azalea kernel:  (sk_lock-AF_BLUETOOTH){--..}, at: [<f8962241>]
bt_accept_dequeue+0x26/0xc6 [bluetooth]
Oct  3 15:46:12 azalea kernel: 
Oct  3 15:46:12 azalea kernel: but task is already holding lock:
Oct  3 15:46:12 azalea kernel:  (sk_lock-AF_BLUETOOTH){--..}, at: [<f8b25088>]
l2cap_sock_accept+0x41/0x11e [l2cap]
Oct  3 15:46:12 azalea kernel: 
Oct  3 15:46:12 azalea kernel: other info that might help us debug this:
Oct  3 15:46:12 azalea kernel: 1 lock held by hidd/2058:
Oct  3 15:46:12 azalea kernel:  #0:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8b25088>] l2cap_sock_accept+0x41/0x11e [l2cap]
Oct  3 15:46:12 azalea kernel: 
Oct  3 15:46:12 azalea kernel: stack backtrace:
Oct  3 15:46:12 azalea kernel:  [<c04051ed>] show_trace_log_lvl+0x58/0x16a
Oct  3 15:46:12 azalea kernel:  [<c04057fa>] show_trace+0xd/0x10
Oct  3 15:46:12 azalea kernel:  [<c0405913>] dump_stack+0x19/0x1b
Oct  3 15:46:12 azalea kernel:  [<c043b7dc>] __lock_acquire+0x6ea/0x90d
Oct  3 15:46:12 azalea kernel:  [<c043bf70>] lock_acquire+0x4b/0x6b
Oct  3 15:46:12 azalea kernel:  [<c05b203b>] lock_sock+0xac/0xbc
Oct  3 15:46:12 azalea kernel:  [<f8962241>] bt_accept_dequeue+0x26/0xc6 [bluetooth]
Oct  3 15:46:12 azalea kernel:  [<f8b25129>] l2cap_sock_accept+0xe2/0x11e [l2cap]
Oct  3 15:46:12 azalea kernel:  [<c05b142e>] sys_accept+0xd8/0x179
Oct  3 15:46:12 azalea kernel:  [<c05b1576>] sys_socketcall+0xa7/0x186
Oct  3 15:46:12 azalea kernel:  [<c0403fb7>] syscall_call+0x7/0xb
Oct  3 15:46:12 azalea kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Oct  3 15:46:12 azalea kernel: Leftover inexact backtrace:
Oct  3 15:46:12 azalea kernel:  [<c04057fa>] show_trace+0xd/0x10
Oct  3 15:46:12 azalea kernel:  [<c0405913>] dump_stack+0x19/0x1b
Oct  3 15:46:12 azalea kernel:  [<c043b7dc>] __lock_acquire+0x6ea/0x90d
Oct  3 15:46:12 azalea kernel:  [<c043bf70>] lock_acquire+0x4b/0x6b
Oct  3 15:46:12 azalea kernel:  [<c05b203b>] lock_sock+0xac/0xbc
Oct  3 15:46:12 azalea kernel:  [<f8962241>] bt_accept_dequeue+0x26/0xc6 [bluetooth]
Oct  3 15:46:12 azalea kernel:  [<f8b25129>] l2cap_sock_accept+0xe2/0x11e [l2cap]
Oct  3 15:46:12 azalea kernel:  [<c05b142e>] sys_accept+0xd8/0x179
Oct  3 15:46:12 azalea kernel:  [<c05b1576>] sys_socketcall+0xa7/0x186
Oct  3 15:46:12 azalea kernel:  [<c0403fb7>] syscall_call+0x7/0xb
Oct  3 15:46:12 azalea kernel: input: Bluetooth HID Boot Protocol Device as
/class/input/input6
Comment 1 Bug Zapper 2008-04-03 14:26:02 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:55:47 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.